Summary: 	Powerful, text based window manager and shell multiplexer
Name: 	 	byobu
Version: 	6.12
Release: 	%mkrel 1
License: 	GPLv3+
Group:		Terminals
Url:		https://byobu.co/
Source0: 	https://github.com/dustinkirkland/byobu/archive/%{version}/%{name}-%{version}.tar.gz
# Fix invalid path (mga#21277)
Patch0:		byobu-5.119-mga-gnome-terminal-server.patch
# fallback to xterm because of conflict with emacs
Patch1:	        byobu-5.127-fallback-xterm.patch

BuildArch:	noarch
BuildRequires:	gettext

#TODO: require a virtual provides that allows to choose either screen or tmux
Requires:	screen
Requires:	tmux
Requires:	gawk
Requires:	gettext
Requires:	python3
Requires:	python3-newt
# Used by the desktop file
Recommends:	gnome-terminal

%description
Byobu is a GPLv3 open source text-based window manager and terminal
multiplexer. It was originally designed to provide elegant enhancements
to the otherwise functional, plain, practical GNU Screen, for the Ubuntu
server distribution. Byobu now includes an enhanced profiles, convenient
keybindings, configuration utilities, and toggle-able system status
notifications for both the GNU Screen window manager and the more modern
Tmux terminal multiplexer, and works on most Linux, BSD, and Mac
distributions.

%prep
%autosetup -p1

%build
export BYOBU_PYTHON=%{__python3}
./autogen.sh
%configure
%make_build

%install
%make_install \
	pixmapsdir=%{_iconsdir}/hicolor/scalable/apps

# compile and install locale files
for po in po/*.po
do
	lang=${po#po/}
	lang=${lang%.po}
	mkdir -p %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/
	msgfmt ${po} -o %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/%{name}.mo
done

# Install appdata
cp -av usr/share/appdata %{buildroot}%{_datadir}

# Install desktop file
mkdir -p %{buildroot}%{_datadir}/applications

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%doc usr/share/doc/%{name}/help.screen.txt
%doc usr/share/doc/%{name}/help.tmux.txt
%license COPYING
%dir %{_datadir}/%{name}
%dir %{_prefix}/lib/%{name}
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/%{name}/*
%{_prefix}/lib/%{name}/*
%{_iconsdir}/hicolor/scalable/apps/byobu.svg
%{_mandir}/man?/*


%changelog
* Sun Feb 18 2024 daviddavid <daviddavid> 6.12-1.mga10
+ Revision: 2042298
- new version: 6.12

* Mon Dec 25 2023 joequant <joequant> 6.1-1.mga10
+ Revision: 2021248
- update to 6.1 - rebuild for py3.12

* Mon Mar 21 2022 umeabot <umeabot> 5.133-3.mga9
+ Revision: 1814256
- Mageia 9 Mass Rebuild

* Sat Mar 20 2021 joequant <joequant> 5.133-2.mga9
+ Revision: 1705204
- rebuild for python 3.9

* Sat Feb 22 2020 daviddavid <daviddavid> 5.133-1.mga8
+ Revision: 1549259
- new version: 5.133

* Fri Feb 21 2020 umeabot <umeabot> 5.131-2.mga8
+ Revision: 1547904
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 5.131-1.mga8
+ Revision: 1488666
- new version: 5.131
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 08 2019 daviddavid <daviddavid> 5.130-1.mga8
+ Revision: 1465150
- new version: 5.130

* Sat Sep 14 2019 daviddavid <daviddavid> 5.129-2.mga8
+ Revision: 1440743
- swith to Python 3

* Tue Aug 20 2019 daviddavid <daviddavid> 5.129-1.mga8
+ Revision: 1430507
- new version: 5.129

* Sun Feb 03 2019 joequant <joequant> 5.127-2.mga7
+ Revision: 1362767
- add patch
- change default to xterm-256color from screen-256color

* Fri Oct 19 2018 akien <akien> 5.127-1.mga7
+ Revision: 1322320
- Version 5.127

* Thu Sep 20 2018 umeabot <umeabot> 5.125-2.mga7
+ Revision: 1277786
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 5.125-1.mga7
+ Revision: 1229327
- Version 5.125

* Sat Dec 30 2017 akien <akien> 5.124-1.mga7
+ Revision: 1187623
- Version 5.124

* Wed Nov 15 2017 zezinho <zezinho> 5.123-1.mga7
+ Revision: 1177447
- new version

* Sat Aug 26 2017 akien <akien> 5.122-1.mga7
+ Revision: 1147949
- Version 5.122

* Wed Jul 26 2017 akien <akien> 5.119-4.mga7
+ Revision: 1130856
- Recommend gnome-terminal since used in the desktop file

* Tue Jul 18 2017 akien <akien> 5.119-3.mga7
+ Revision: 1124779
- Fix invalid path to gnome-terminal-server binary, thanks to Christian Lohmaier (mga#21277)

* Sun Jun 04 2017 ngompa <ngompa> 5.119-2.mga6
+ Revision: 1106672
- Fix newt requires (uses python2-newt)

* Sat Jun 03 2017 akien <akien> 5.119-1.mga6
+ Revision: 1105914
- Version 5.119

* Tue May 02 2017 akien <akien> 5.117-1.mga6
+ Revision: 1098710
- Version 5.117

* Wed Apr 26 2017 akien <akien> 5.116-1.mga6
+ Revision: 1097721
- Version 5.116

* Sun Jan 29 2017 akien <akien> 5.114-1.mga6
+ Revision: 1084022
- Version 5.114

* Tue Oct 04 2016 ngompa <ngompa> 5.112-1.mga6
+ Revision: 1058804
- Upgrade to 5.112

* Sat Aug 13 2016 wally <wally> 5.97-3.mga6
+ Revision: 1046306
- remove unneeded requires for ncurses-extraterms (as xterm-256color was moved to main ncurses pkg)

* Fri Feb 19 2016 umeabot <umeabot> 5.97-2.mga6
+ Revision: 970241
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 daviddavid <daviddavid> 5.97-1.mga6
+ Revision: 885487
- new version: 5.97
- add available locale files
- update file list

* Wed Jul 22 2015 stormi <stormi> 5.94-1.mga6
+ Revision: 856128
- update to version 5.94
- update summary and description
- add requires to gawk like the ubuntu package does

* Sat Feb 21 2015 wally <wally> 5.86-4.mga5
+ Revision: 816169
- fix icons install location
- require tmux (mga#15180)
- require ncurses-extraterms (mga#15181)

* Wed Oct 15 2014 umeabot <umeabot> 5.86-3.mga5
+ Revision: 741606
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.86-2.mga5
+ Revision: 678259
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 wally <wally> 5.86-1.mga5
+ Revision: 672684
- new version 5.86
- update URL

* Sun Feb 23 2014 kharec <kharec> 5.73-1.mga5
+ Revision: 595868
- new upstream version 5.73

* Fri Feb 07 2014 kharec <kharec> 5.70-1.mga5
+ Revision: 585652
- update to 5.70

* Mon Oct 21 2013 umeabot <umeabot> 5.60-2.mga4
+ Revision: 538229
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 5.60-1.mga4
+ Revision: 489033
- New version: 5.60

* Mon Aug 19 2013 sander85 <sander85> 5.56-1.mga4
+ Revision: 467752
- New version: 5.56

* Thu May 23 2013 kharec <kharec> 5.41-1.mga4
+ Revision: 425100
- update to 5.41

* Sun Mar 03 2013 kharec <kharec> 5.33-1.mga3
+ Revision: 401220
- imported package byobu

